# AptiSolve

A comprehensive Python package for solving aptitude problems with detailed step-by-step explanations. Perfect for students preparing for competitive exams, interviews, and aptitude tests.

## Features

### Numerical Aptitude
Solve common mathematical problems with detailed step-by-step solutions:
- Percentages
- Simple & Compound Interest
- Time and Work
- Time, Speed and Distance
- Ratios and Proportions
- Averages
- Mixtures and Alligations
- Number Systems
- Permutations and Combinations
- Probability

### Logical Reasoning
Master logical reasoning problems with clear explanations:
- Blood Relations
- Number Series
- Direction Sense
- Coding-Decoding
- Seating Arrangements
- Syllogisms
- Statement-Conclusion Analysis
- Analogies

### Data Interpretation
Analyze and interpret data from various formats:
- Tables (analyze tabular data, compare data points)
- Graphs (line graph analysis, growth rate calculations)
- Charts (pie chart analysis, segment comparison)

### Verbal Aptitude
Practice and improve verbal reasoning skills:
- Synonyms and Antonyms
- Reading Comprehension
- Sentence Completion
- Grammar and Vocabulary
- One Word Substitution
- Paragraph Jumbles

## Installation

```bash
pip install aptisolve